﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Xml.Linq;
using System.Web.Mvc;

namespace MvcServiceLibrary
{
    public class JsonSerializedView : SerializedView
    {
        public override string ContentType
        {
            get { return Strings.ContentTypeJson; }
        }

        public override string GetContent(ViewContext viewContext)
        {
            return viewContext.ViewData.ToJSON();
        }
    }
}
